<?php
/*
===========================
Kasutaja paneel
"Võidetud oksjonid" vaade
===========================
*/
include 'config.php';
session_start();
include_once ROOT . 'db/dbconfig.php';
require_once ROOT . 'admin/objects/kasutaja.class.php';
$user_home = new Kasutaja();
include ROOT . "header.php";

include_once ROOT . 'db/dbconfig.php';

$database = new Database();
$db = $database->dbConnection();

$kasutaja = $_SESSION['userSession'];

// Pärime viimase pakkuja ID
function viimanePakkuja($oksjoni_id){
    $database = new Database();
    $db = $database->dbConnection();
    $sql = "SELECT kasutaja_id FROM pakkumised WHERE oksjoni_id = $oksjoni_id ORDER BY summa DESC LIMIT 0,1";
    $stmt = $db->query($sql);
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    return $row["kasutaja_id"];
}

?>

<div class="container">
    <div class="row">

        <?php
        include "kasutaja-nav.php";
        ?>

        <div class="col-md-9">
           <h3 class="decorated"><span>Võidetud oksjonid</span></h3><br />

           <?php

// Loeme andmebaasist kõik võidetud oksjonid
           $sql = "SELECT oksjonid.id, nimi, hetkehind, max(summa), lopuaeg FROM oksjonid, pakkumised WHERE oksjonid.id = pakkumised.oksjoni_id AND pakkumised.kasutaja_id = $kasutaja AND now() > lopuaeg  AND automaat != 1 GROUP BY oksjonid.id ORDER BY lopuaeg DESC";
    // Kuvame tulemused tabelisse
           echo "<br/><table class='table table-hover table-responsive table-bordered'>";
           echo "<tr>";
           echo "<th width='10%'>ID</th>";
           echo "<th>Nimi</th>";
           echo "<th>Lõpuaeg</th>";
           echo "<th width='30%'><center>Summa</center></th>";
           echo "</tr>";
           foreach ($db->query($sql) as $row) {
            if(viimanePakkuja($row["id"]) == $kasutaja){
                echo "<tr>";
                echo "<td>".$row["id"]."</td>";
                echo "<td><a href='".HTTP."internetioksjon/oksjon.php?id=".$row["id"]."'>".$row["nimi"]."</a></td>";
                echo "<td>".$row["lopuaeg"]."</td>";
                echo "<td><center>";
                echo "Lõpphind: <b>".$row["max(summa)"]."€</b><br/><span class='label label-success'>Võidetud oksjon</span>";
                echo "</center></td>";
            } 
            echo "</tr>";
        }
        echo "</table><br/>";
        ?>
    </div>
</div>
</div>

<?php
include ROOT . "footer.php";
?>